Incompatibilidade com Ryzen 3400g + vega 11

Tenho um computador com um processador recente da AMD , porém não possuo placa de vídeo off-board, e quero entrar em distros Linux (mais precisamente deepin), porém não consigo ultilizar minha placa de vídeo integrada (Vega 11) em nenhuma distro que eu tenha testado , sendo assim fica impossível de ultilizar o computador com Linux , gostaria de saber se alguém sabe como arrumar essa incompatibilidade já que a AMD não tem suporte para o Linux com a Vega 11

1 Curtida

Como que você sabe que não esta usando a sua placa integrada?
Bom é claro que o sistema está usando se caso quiser instala os drivers integrados fica aqui o link:

Segundo diversos relatos em fóruns o suporte às últimas tecnologias AMD só está usável nos kerneis da série 5.4 para frente, então, se você está testando qualquer uma das LTS atuais é realmente esperado que você tenha problemas.

Sugiro testar o Ubuntu 20.04 ou o Manjaro 19.

:vulcan_salute:

2 Curtidas

A nova linha de processadores da AMD possui um problema sério de incompatibilidade com Distros Linux. Atualmente, a Distro com melhor suporte é o Pop!, na verdade, ela funciona desde o dia do lançamento e por um tempo foi a única Distro funcional com a terceira geração do Ryzen. A System76 é uma fabricante de PCs muito bem conceituada, então é de se esperar que o sistema que eles desenvolvem possua – e ele possue – o melhor suporte a hardware do mundo Linux nos Desktops. Eu fiz uma postagem sobre o Pop! e neste eu abordo esse problema.

1 Curtida

quando eu ultilizei o inxi não reconheceu nenhum dispositivo grafico

conseguir fazer reconhecer no linux mint 19.3 , mas queria uma interface grafica melhor , gostei mt da deepin mas não consegui usar de jeito nenhum a placa de video integrada , alem de que teve 2 erros: pcspkr is already registered aborting/unable to write to iommu perf counter

o processador em si nao foi um problema reconhecer, minha dificuldade em si e de ultilizar o processador como uma apu em geral ja que ele nao reconhece os drivers graficos

Quando estamos falando de “APU’s” separar processador de GPU é apenas uma conveniência da nossa cabeça, na real é tudo uma coisa só. As novas APU’s AMD ainda estão sendo implementadas no Kernel e esse processo leva tempo.

Tirando o Pop!Os, as poucas distros que vejo o pessoal comentando que estão conseguindo usar com sucesso são o Arch e o Manjaro. Acredito que no Ubuntu 20.04 deva funcionar, mas somente testando para ter 100% de certeza.

Teste as distros usando um live pendrive antes de instalar, isso vai te economizar um tempo enorme nos testes.

:vulcan_salute:

2 Curtidas

o triste é que o deepin n tem modo live antes de usar a distro , só consigo ultilizar ele dps de instalar , e eu nao consigo atualizar o kernel dele de maneira alguma

A opção padrão é a de instalação, mas é possível sim acessar o Deepin em modo live.

É a segunda opção:

image

aaaaaaa, vlw , vou testar quando eu chegar do trabalho

voce sabe alguma maneira pra atualizar o kernel do deepin?

Eu atualizada pelo Ukuu, mas não lembro qual versão que instala, porque a mais atual não funciona no Deepin.

Vai ter que ir baixando e instalando para testar, tenho suspeita que era a v17:

eu tentei pelo ukuu , n sei se fiz errado mas ele n reconheceu

Pode testar novamente e qualquer coisa a gente vai ajudando

:wink:


A versão é antiga, mas o conceito continua válido, segue tutorial de como atualizar manualmente:


Por questão de acréscimo de conhecimento, segue uma segunda referencia:

O deepin e baseado no debian, eu compilei o kernel 5.5.5 no devuan(debian sem systemd) com esse tutorial: https://diolinux.com.br/2017/07/como-compilar-um-kernel-linux-passo-a-passo.html

Consegui atualizar pro 5.5 mas deu um erro

ele antes tava dando um erro parecido: amd-vi unable to write to iommu perfcounter

Boa noite cara, bem ate onde eu sei as placas gráficas da AMD dão problemas no linux, pelo menos antigamente erra assim não sei as recentes, tenta as dicas da galera ai pra ver se dar certo, mais realmente o suporte da AMD e muito ruim.

No Linux mint foi de boa

Eu quero o deepin msm mas tá difícil